/*******************************************************************/
/* VLTI AMBER DATA REDUCTION SOFTWARE (AMDRS)                      */
/*                                                                 */
/* FILE: amberSupport.h                                                   */
/*                                                                 */
/* Contains definitions of constant parameters, types and          */
/* prototypes for all ANSI C functions.                            */
/*                                                                 */
/* (tlicha 16-01-03) Initial Version                               */
/* handling routines                                               */
/*******************************************************************/ 





/* --------------------------------------------------------------- */
/* COMPILER DIRECTIVES                                             */
/* --------------------------------------------------------------- */
#ifndef _AMBERSUPPORT_H
#define _AMBERSUPPORT_H

#define ESO_CPL_PIPELINE_VARIANT 1 /* forces amdlib to compile the ESO way */
#define TRACE 1                    /* switch on amdlib tracing             */
#define DEBUG 1                    /* switch on amdlib debugging           */ 

/* --------------------------------------------------------------- */
/* Support Functions for PipeLine                                  */
/* --------------------------------------------------------------- */
int CreateRawDataDisplay( char * szInfile, char * szOutfile );
int CreateFitsImage     ( char * szInfile, char * szOutFile, int iTelescopes, int iXSubWindow, int iYSubWindow );

#endif 
